import { DefaultService } from 'src/common/service/default.service';
import { AppPartner } from './entity/app-partner.entity';
import { AppPartnerInsertDto } from './dto/app-partner.insert.dto';
export declare class AppPartnerService extends DefaultService {
    create(dto: AppPartnerInsertDto): Promise<AppPartner[]>;
    find(partnerSno: number): Promise<any[]>;
    exist(appSno: number, partnerSno: number): Promise<boolean>;
    delete(sno: number): Promise<{
        result: boolean;
    }>;
    findPartnersByAppNo(appSno: number): Promise<any[]>;
}
